gnutls_x509_crq_set_key_purpose_oid(3)

NAME
gnutls_x509_crq_set_key_purpose_oid - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_set_key_purpose_oid(gnutls_x509_crq_t crq, const void * oid, unsigned int critical);

ARGUMENTS

gnutls_x509_crq_t crq
    a certificate of type gnutls_x509_crq_t

const void * oid
    a pointer to a (0)-terminated string that holds the OID

unsigned int critical
    Whether this extension will be critical or not

DESCRIPTION
This function will set the key purpose OIDs of the Certificate. These are stored in the Extended Key Usage extension (2.5.29.37) See the GNUTLS_KP_* definitions for human readable names. Subsequent calls to this function will append OIDs to the OID list.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.8.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/